const csvUrl =
  'https://gist.githubusercontent.com/rohame/c66da4d5fb31f35bf2a02d6417a38f64/raw/combined_logan_data.csv';

let data = [];
const loadData = () => {
  return Promise.all([d3.csv(csvUrl)]).then(datasets => {
    data = datasets[0];
    data = data.map(d => {
      // d.DATE = d.DATE.slice(0, -3);
      return {
        date: new Date(d.DATE),
        TMAX: +d.TMAX,
        PRCP: +d.PRCP,
        DEP_DELAY: +d.DEP_DELAY,
        year: +d.YEAR
      };
    });
    return data;
  });
};

